OpenVDB 11.0.0

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
GetDim< BuildT > Struct Template Reference

Implements Tree::getDim(Coord) More...

`#include <nanovdb/NanoVDB.h>`

## Static Public Member Functions
static uint32_t | get (const NanoRoot< BuildT > &)
static uint32_t | get (const typename NanoRoot< BuildT >::Tile &)
static uint32_t | get (const NanoUpper< BuildT > &, uint32_t)
static uint32_t | get (const NanoLower< BuildT > &, uint32_t)
static uint32_t | get (const NanoLeaf< BuildT > &, uint32_t)

## Detailed Description

template<typename BuildT>
struct nanovdb::GetDim< BuildT >

Implements Tree::getDim(Coord)

Template Parameters

  BuildT | Build type of the grid being called

## Member Function Documentation

## ◆ get() [1/5]

template<typename BuildT >

static uint32_t get | ( | const NanoLeaf< BuildT > & | ,
|  | uint32_t |
| ) |  |
| inline static

## ◆ get() [2/5]

template<typename BuildT >

static uint32_t get | ( | const NanoLower< BuildT > & | ,
|  | uint32_t |
| ) |  |
| inline static

## ◆ get() [3/5]

template<typename BuildT >

static uint32_t get | ( | const NanoRoot< BuildT > & |  | ) |
| inline static

## ◆ get() [4/5]

template<typename BuildT >

static uint32_t get | ( | const NanoUpper< BuildT > & | ,
|  | uint32_t |
| ) |  |
| inline static

## ◆ get() [5/5]

template<typename BuildT >

static uint32_t get | ( | const typename NanoRoot< BuildT >::Tile & |  | ) |
| inline static